> ## Documentation Index
> Fetch the complete documentation index at: https://docs.riyadhparking.sa/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a ticket



## OpenAPI

````yaml POST /guest/tickets/public/ticket
openapi: 3.0.1
info:
  title: Remat Application
  version: v1
servers:
  - url: /spsr-api
    description: Default Server URL
security:
  - Authorization: []
tags:
  - name: Authentication
    description: Authentication endpoints
  - name: Site Controller
    description: Handles site-related operations
  - name: Violation Controller
    description: Handles violation-related operations
  - name: Ticket Controller
    description: Handles ticket-related operations
  - name: Ticket Guest Controller
    description: Handles guest ticket-related operations
paths:
  /guest/tickets/public/ticket:
    post:
      tags:
        - Ticket Guest Controller
      summary: Request a ticket
      operationId: createPublicTicket
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PublicTicketRequestModel'
        required: true
      responses:
        '200':
          description: Ticket successfully created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketInitiationResponseModel'
        '400':
          description: Invalid Data
components:
  schemas:
    PublicTicketRequestModel:
      type: object
      required:
        - zoneId
        - plateNumber
        - plateType
        - countryCode
        - phoneNumber
        - numberOfHours
        - paymentMethod
        - totalCost
        - startTime
        - bookedTime
        - endTime
        - deviceId
      properties:
        zoneId:
          type: string
          format: uuid
        plateNumber:
          type: string
        plateType:
          type: string
        countryCode:
          type: string
        phoneNumber:
          type: string
        numberOfHours:
          type: integer
          format: int32
        paymentMethod:
          type: string
          enum:
            - VISA
            - MASTER
            - CASH
            - POS
            - MADA
            - APPLEPAY
            - MASTERCARD
        totalCost:
          type: number
          format: double
        startTime:
          type: string
          format: date-time
        bookedTime:
          type: string
          format: date-time
        endTime:
          type: string
          format: date-time
        deviceId:
          type: string
    TicketInitiationResponseModel:
      type: object
      properties:
        ticketId:
          type: string
          format: uuid
  securitySchemes:
    Authorization:
      type: http
      scheme: bearer
      bearerFormat: JWT

````